//
// Copyright 2006 Thomas F. Abraham. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification,
// ARE permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
//    this list of conditions and the following disclaimer. 
// 2. Redistributions in binary form must reproduce the above copyright notice,
//    this list of conditions and the following disclaimer in the documentation
//    and/or other materials provided with the distribution. 
//
// THIS SOFTWARE IS PROVIDED BY THOMAS F. ABRAHAM "AS IS" AND ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
// SHALL THOMAS F. ABRAHAM BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
// IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
// OF SUCH DAMAGE.

using System;
using System.IO;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

/// <summary>
/// This is a standard ASMX web service (no WCF).
/// It is configured for Web Services Enhancements 3.0 but may be called with or without
/// WSE3.  The caller simply uses either the WSE3 proxy or the standard proxy
/// when calling the service.  Both proxies are generated when WSE3 is enabled on the
/// client project.
/// </summary>
[WebService(Namespace = "http://fabrikam.com/SOAConf")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Service : System.Web.Services.WebService
{
    public Service () {
    }

    [WebMethod]
    public GetDocumentResponseType GetDocument(GetDocumentRequestType request)
    {
        GetDocumentResponseType doc = new GetDocumentResponseType();
        doc.document = new DocumentType();
        doc.document.documentID = request.documentID;
        doc.document.filename = "i1040.pdf";

        //
        // TODO: Update this path with the location of the test file.
        //
        doc.document.fileData = File.ReadAllBytes("Files\\i1040.pdf");

        return doc;
    }
}
