//
// Copyright 2006 Thomas F. Abraham. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification,
// ARE permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
//    this list of conditions and the following disclaimer. 
// 2. Redistributions in binary form must reproduce the above copyright notice,
//    this list of conditions and the following disclaimer in the documentation
//    and/or other materials provided with the distribution. 
//
// THIS SOFTWARE IS PROVIDED BY THOMAS F. ABRAHAM "AS IS" AND ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
// SHALL THOMAS F. ABRAHAM BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
// IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
// OF SUCH DAMAGE.

using System;
using System.IO;
using System.ServiceModel;
using System.Runtime.Serialization;
using fabrikam.com.SOAConf;

/// <summary>
/// This is a WCF service with the same contract and functionality as the ASMX service.
/// </summary>
[ServiceContract(Namespace = "http://fabrikam.com/SOAConf")]
public interface IMyService
{
    [OperationContract]
    GetDocumentResponseType GetDocument(GetDocumentRequestType request);
}

public class MyService : IMyService
{
    public GetDocumentResponseType GetDocument(GetDocumentRequestType request)
    {
        GetDocumentResponseType response = new GetDocumentResponseType();
        response.document = new DocumentType();
        response.document.documentID = request.documentID;
        response.document.filename = "i1040.pdf";
        string str = System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase;

        //
        // TODO: Update this path with the location of the test file.
        //
        response.document.fileData = File.ReadAllBytes("Files\\i1040.pdf");
        
        return response;
    }
}
