//
// Copyright 2006 Thomas F. Abraham. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification,
// ARE permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
//    this list of conditions and the following disclaimer. 
// 2. Redistributions in binary form must reproduce the above copyright notice,
//    this list of conditions and the following disclaimer in the documentation
//    and/or other materials provided with the distribution. 
//
// THIS SOFTWARE IS PROVIDED BY THOMAS F. ABRAHAM "AS IS" AND ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
// SHALL THOMAS F. ABRAHAM BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
// IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
// OF SUCH DAMAGE.

using System;
using System.Windows.Forms;
using WSClient.StandardWS;

namespace WSClient
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void basicButton_Click(object sender, EventArgs e)
        {
            bytesTextBox.Text = string.Empty;

            GetDocumentResponseType response = null;

            // Call the ASMX web service with the standard NON-WSE proxy.
            using (Service svc = new Service())
            {
                GetDocumentRequestType request = new GetDocumentRequestType();
                request.documentID = 1;
                response = svc.GetDocument(request);
            }

            bytesTextBox.Text = response.document.fileData.Length.ToString("0,0") + " (Basic)";
        }

        private void wcfButton_Click(object sender, EventArgs e)
        {
            bytesTextBox.Text = string.Empty;

            WSClient.WCFService.GetDocumentResponseType response = null;

            // Call the WCF service
            using (WSClient.WCFService.MyServiceClient svc = new WSClient.WCFService.MyServiceClient())
            {
                svc.Open();
                WSClient.WCFService.GetDocumentRequestType request = new WSClient.WCFService.GetDocumentRequestType();
                request.documentID = 1;
                response = svc.GetDocument(request);
            }

            bytesTextBox.Text = response.document.fileData.Length.ToString("0,0") + " (WCF)";
        }

        private void wseButton_Click(object sender, EventArgs e)
        {
            bytesTextBox.Text = string.Empty;

            GetDocumentResponseType response = null;

            // Call the ASMX web service with the WSE proxy.
            using (ServiceWse svc = new ServiceWse())
            {
                GetDocumentRequestType request = new GetDocumentRequestType();
                request.documentID = 1;
                response = svc.GetDocument(request);
            }

            bytesTextBox.Text = response.document.fileData.Length.ToString("0,0") + " (WSE)";
        }
    }
}
